Subject: Re: New IIO/counter driver

From: Jonathan Cameron <[email-masked]>
Date: Sat, 12 Jan 2019 17:51:59 +0000

On Tue, 8 Jan 2019 12:01:57 +0100
Fabrice Gasnier <[email-masked]> wrote:

> On 1/8/19 11:57 AM, Benjamin Gaignard wrote:
> > Le mar. 8 janv. 2019 à 01:46, William Breathitt Gray
> > <[email-masked]> a écrit :  
> >>
> >> On Mon, Jan 07, 2019 at 02:45:37PM +0100, Patrick Havelange wrote:  
> >>> Hello,
> >>>
> >>> I'm in the process of adding a new IIO/counter driver, however I also saw
> >>> that there was a work in progress to have a separate counter subsystem (
> >>> https://marc.info/?l=linux-iio&m=153974167727206 ). But it seems there is
> >>> no recent progress on it.
> >>> What is the state of those patches ? Is it still interesting to develop the
> >>> driver as an IIO/counter , or should I use already that new subsystem ?
> >>>
> >>> Best Regards,
> >>>
> >>> Patrick Havelange.  
> >>
> >> Hello,
> >>
> >> I am still open to merging this patchset and maintaining the Counter
> >> subsystem. However, I took the lack of response for my latest
> >> submission to indicate a loss of interest in this patchset's approach.
> >> If there are still people who want this, I can rebase and resend this
> >> patchset for submission; the past few versions have primarily been code
> >> clarity and documentation changes so I believe the core design itself is
> >> somewhat stable now.
> >>
> >> Just let me know how best to proceed and I shall be happy to oblige --
> >> whether to continue maintaining this patchset or to drop this design in
> >> favor of improving the existing IIO Counter code in the kernel.
> >>
> >> I'll CC those from the patchset submission to keep them in the loop.  
> > 
> > I confirm that I still interested to get those patches merged.
> > 
> > Regards,
> > Benjamin  
> Hi,
> 
> Same for me,
In a more abstract fashion (I don't have any hardware of this type!)
I'm still keen for the counter subsystem to go in.  Hopefully, if
Greg or anyone else wants to take a detailed look they will have time
this cycle to do so.

I was pretty happy with the last version I read through.  There will
always be things to improved, but as long a we are happy with
the userspace inteface, the little things can happen later.

Jonathan

> 
> Regards,
> Fabrice
> >>
> >> Sincerely,
> >>
> >> William Breathitt Gray
> >>
> >> _______________________________________________
> >> linux-arm-kernel mailing list
> >> [email-masked]
> >> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel  
> > 
> > 
> >   

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel